ranges::make_subrange_fn Struct Reference
Views

## Synopsis of methods

constexpr make_subrange_fn | make_subrange {}

## Public Member Functions

template<typename I , typename S >
constexpr auto | operator() (I i, S s) const -> subrange< I, S >
template<typename I , typename S >
constexpr auto | operator() (I i, S s, detail::iter_size_t< I > n) const -> subrange< I, S, subrange_kind::sized > requires input_or_output_iterator< I > &&sentinel_for< S, I >
template<typename R >
constexpr auto | operator() (R &&r) const -> subrange< iterator_t< R >, sentinel_t< R >,(sized_range< R >||sized_sentinel_for< sentinel_t< R >, iterator_t< R >>) ? subrange_kind::sized :subrange_kind::unsized > requires forwarding_range_< R >
template<typename R >
constexpr auto | operator() (R &&r, detail::iter_size_t< iterator_t< R >> n) const -> subrange< iterator_t< R >, sentinel_t< R >, subrange_kind::sized > requires forwarding_range_< R >